// Colours
$bwt-pink: #BC4E9C;
$bwt-red: #F80759;
$bwt-mix: #DB2B7B;
$bwt-black: #222;
$bwt-dark: #757575;
$bwt-medium: #B0ABAB;
$bwt-light: #F2EDED;
$bwt-extra-light: #f5f5f5;
$bwt-blue: #2D80AF;
$bwt-dark-blue: #0F1F2F;
$bwt-purple: #1C1020;
$bwt-gold: #E0C77B;

$bwt-gradient: linear-gradient(135deg, #BC4E9C 0%, #F80759 100%);
$bwt-gradient-horizontal: linear-gradient(90deg, #BC4E9C 0%, #F80759 100%);

// Presets
$radius-soft: 7px;
$radius-round: 100px;
$box-shadow: 0px 20px 40px rgba(0, 0, 0, 0.1), 0px 4px 17px rgba(0, 0, 0, 0.05);

// Breakpoints & widths
$on-medium: 50em;
$desktop: 63.75em;

$max-width-mobile: 80%;
$max-width-desktop: 1700px;

// Styles

@mixin floatCenter {
  margin-left: auto;
  margin-right: auto;
}

@mixin floatRight {
  float: right!important;
}

.bwt-gradient {
  background: $bwt-gradient;
}

.s-corners-soft {
  border-radius: $radius-soft;
}

.s-corners-round {
  border-radius: $radius-round;
}

.fullScreen {
  height: 100%;
  width: 100%;
}

.table {
  display: table;
}

.on-top {
  position: relative;
  z-index: 10!important;
}

.l-h-20px {
  line-height: 20px;
}

.l-h-30px {
  line-height: 30px;
}

.curtain {
  position: fixed;
  display: block;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(10, 19, 29, 0.98);
  z-index: 9;
  margin-bottom: 0;
  overflow-y: scroll;
}

.author-small {
  max-width: 48px;
}

.inline {
  display: inline;
}

.group:after {
  content: "";
  display: table;
  clear: both;
}

.show-overflow {
  overflow: auto;
}

.no-scroll {
  overflow: hidden;
}

.hide {
  display: none;
}

.show-element {
  display: block!important;
}

.o-0 {
  // animation-name: hide-delay;
  // animation-duration: 1s;
  opacity: 0!important;
}

.hide-mobile {
  display: none!important;
}

.show-desktop, .show-tablet {
  display: none;
}

.fixed_position {
  position: fixed;
}

.pos-relative {
  position: relative;
}

.dis-i-b {
  display: inline-block!important;
}

// Backgrounds
.bg-contain {
  background-size: contain!important;
  background-position: center!important;
  background-repeat: no-repeat!important;
}

.bg-cover {
  background-size: cover!important;
  background-position: center!important;
}

.bg-dark {
  color: #fff;
}

.bg-space {
  background: #010409 url(/assets/img/space-portrait.jpg) no-repeat top;
  background-size: 100% auto;
}

.bg-dark-blue {
  background: $bwt-dark-blue;
}

.bg-purple {
  background: $bwt-purple;
}

.bg-gradient {
  background: $bwt-gradient;
}

.bg-light-gray {
  background: $bwt-extra-light;
}

.bg-clip-both-right {
  -webkit-clip-path: polygon(0 2%, 100% 0, 100% 100%, 0 97%);
  clip-path: polygon(0 2%, 100% 0, 100% 100%, 0 97%);
}

.bg-clip-top-right {
  -webkit-clip-path: polygon(0 2%, 100% 0, 100% 100%, 0 100%);
  clip-path: polygon(0 2%, 100% 0, 100% 100%, 0 100%);
}

.bg-clip-bottom-right {
  -webkit-clip-path: polygon(0 0%, 100% 0, 100% 100%, 0 97%);
    clip-path: polygon(0 0%, 100% 0, 100% 100%, 0 97%);
}

@media screen and (min-width: $desktop) {
  .bg-clip-top-right {
    -webkit-clip-path: polygon(0 15%, 100% 0, 100% 100%, 0 100%);
    clip-path: polygon(0 15%, 100% 0, 100% 100%, 0 100%);
  }

  .bg-clip-both-right {
    -webkit-clip-path: polygon(0 15%, 100% 0, 100% 100%, 0 85%);
    clip-path: polygon(0 15%, 100% 0, 100% 100%, 0 85%);
  }

  .bg-clip-bottom-right {
    -webkit-clip-path: polygon(0 0%, 100% 0, 100% 100%, 0 85%);
    clip-path: polygon(0 0%, 100% 0, 100% 100%, 0 85%);
  }
}

.hr-border {
  border-bottom: solid 5px $bwt-mix;
  display: inline-block;
}

// Fonts
.f-style-n {
  font-style: normal;
}

.f-style-b {
  font-weight: bold;
}

.f-smoothing {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.f-s-10px {
  font-size: 10px;
}

.f-s-14px {
  font-size: 14px;
}

.f-s-16px {
  font-size: 16px;
}

.f-s-20px {
  font-size: 20px;
}

.f-s-24px {
  font-size: 24px;
}

.huge-number {
  font-family: $custom-font-headings;
  font-size: 70px;
  line-height: 90px;
  font-weight: 300;
}

.large-text {
  @include font-size(5.3);
  @include line-height(3);
}

.medium-text {
  @include font-size(1.8);
  @include line-height(1.5);
  padding-bottom: 5px;
}

.allsmallcaps {
  font-feature-settings: "c2sc", "smcp";
  letter-spacing: 0.03em;
}

.uppercase {
  letter-spacing: .1em;
  text-transform: uppercase;
}

.neg-letter-spacing {
  letter-spacing: -0.05em;
}

.gradient-text {
  display: inline-block;
  background: -webkit-linear-gradient(135deg, #F80759 0%, #BC4E9C 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.f-acumin {
  font-family: $custom-font-acumin;
}

.f-acumin-c {
  font-family: $custom-font-headings;
}

.f-meta {
  font-family: $custom-font-body!important;
}

h3.f-acumin {
  text-transform: none;
}

.c-mix {
  color: $bwt-mix;
}

.c-green {
  color: #24D7D1;
}

.c-gold {
  color: $bwt-gold;
}

.c-blue {
  color: $bwt-blue;
}

// Text Alignment
.alignLeft {
  text-align: left;
}

.alignCenter {
  text-align: center;
}

.alignRight {
  text-align: right;
}

.narrow {
  max-width: 300px;
}

// Float defaults
.floatLeft {
  float: left;
}

.floatCenter {
  margin-left: auto;
  margin-right: auto;
}

.floatRight {
  float: right!important;
}

.floatNone {
  float: none!important;
}

.image-float-right-l {
  width: 100%;
  @include margin-top(2);

  img {
    @include margin-bottom(1);
  }

  @media screen and (min-width: $desktop) {
    @include margin-top(0);
    float: right;
    max-width: 450px;
    padding-left: 20px;
  }
}

// Margins

.no-bottom-margin {
  margin-bottom: 0!important;
}

.no-margin {
  margin: 0;
}

.no-top-margin {
  margin-top: 0!important;
}

.bottom-margin-half {
  @include margin-bottom(0.5);
}

.r-m-10px {
  margin-right: 10px;
}

.t-m-1 {
  @include margin-top(1);
}

.t-m-2 {
  @include margin-top(2);
}

.t-m-3 {
  @include margin-top(3);
}

.t-m-4 {
  @include margin-top(4);
}

.t-m-5 {
  @include margin-top(5);
}

.b-m-05 {
  @include margin-bottom(0.5);
}

.b-m-1 {
  @include margin-bottom(1);
}

.b-m-2 {
  @include margin-bottom(2);
}

.b-m-3 {
  @include margin-bottom(3);
}

.b-m-4 {
  @include margin-bottom(4);
}

// Paddings
.no-top-padding {
  padding-top: 0!important;
}

.t-p-1 {
  @include padding-top(1);
}

.t-p-2 {
  @include padding-top(2);
}

.t-p-3 {
  @include padding-top(3);
}

.t-p-4 {
  @include padding-top(4);
}

.b-p-1 {
  @include padding-bottom(1);
}

.b-p-2 {
  @include padding-bottom(2);
}

.b-p-3 {
  @include padding-bottom(3);
}

.b-p-4 {
  @include padding-bottom(4);
}

.p-l-50px {
  padding-left: 50px;
}

.no-padding {
  padding: 0;
}

.no-padding-bottom {
  padding-bottom: 0!important;
}

.top-pad-1-mobile {
  @include padding(1,0);
}

.side-pad-10 {
  padding: 5px 10%;
}

.left-pad-20px {
  padding-left: 20px;
}

.right-pad-20px {
  padding-right: 20px;
}

// Widths
.w-50p {
  width: 50%;
}

.w-90p {
  width: 90%;
}

.width-200px {
  max-width: none!important;
  min-width: 0!important;
  width: 200px!important;
}

.max-width-500px {
  max-width: 500px;
}

.max-width-300px {
  max-width: 300px;
}

.flex-wrap-c-center-mobile {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  align-content: center;
}

// Responsive
@media screen and (min-width: $desktop) {
  .mobile-only {
    display: none!important;
  }

  .hide-mobile {
    display: block!important;
  }

  .side-pad-10 {
    padding: 0;
  }

  .flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .flex-wrap-c-center {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
  }

  .huge-number {
    font-size: 100px;
    line-height: 135px;
  }
}

@media screen and (min-width: 40em) {
  .show-tablet {
    display: block;
  }

  .medium-text {
    @include font-size(2.4);
    @include line-height(1.8);
  }
}

@media screen and (min-width: 64em){
  .left-pad-20px-desktop {
    padding-left: 20px!important;
  }
}

// Wider than 1280 px
@media screen and (min-width: 80em) {
  .show-desktop {
    display: block;
  }
}

.max-width-hdpi {
  width: 100%;
}

// Wider than 1440 px
@media screen and (min-width: 90em) {
  .max-width-hdpi {
    max-width: 1680px;
    margin-left: auto;
    margin-right: auto;
  }
}

// Space background responsive
@media screen and (min-width: 93.75em) {
  .bg-space {
    background-size: cover;
  }
}

@media (-webkit-min-device-pixel-ratio: 2), (min-resolution: 192dpi) {
  .bg-space {
    background: #010409 url(/assets/img/space-portrait@2x.jpg) no-repeat top;
    background-size: 100% auto;
  }
}

@media screen and (min-width: 37.5em) {
  .bg-space {
    background: #010409 url(/assets/img/space-portrait-wide.jpg) no-repeat top;
  }
}

@media (-webkit-min-device-pixel-ratio: 2) and (min-width: 37.5em), (min-resolution: 192dpi) and (min-width: 37.5em) {
  .bg-space {
    background: #010409 url(/assets/img/space-portrait-wide@2x.jpg) no-repeat top;
    background-size: 100% auto;
  }
}

@media (min-width: $desktop) {
  .bg-space {
    background: #010409 url(/assets/img/space-desktop.jpg) no-repeat top;
    background-size: 100% auto;
  }
}

@media (-webkit-min-device-pixel-ratio: 2) and (min-width: $desktop), (min-resolution: 192dpi) and (min-width: $desktop) {
  .bg-space {
    background: #010409 url(/assets/img/space-desktop@2x.jpg) no-repeat top;
    background-size: 100% auto;
  }
}

.tag {
  background: $bwt-light;
  padding: 3px 12px;
  border-radius: 20px;
  color: $bwt-black;
  text-decoration: none;
  transition: all 0.3s;

  &:hover {
    background: darken($bwt-light, 5%)
  }
}

